Package network.protocol.packets

# Class StartGamePacket

java.lang.Object
network.protocol.Packet
network.protocol.packets.StartGamePacket

All Implemented Interfaces:
  `Serializable`

public class StartGamePacket extends Packet

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StartGamePacket(String serializedSudoku, Instant instant, long gameDuration)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `accept(PacketVisitor packetVisitor)`
  `long`
  `getGameDuration()`
  `Instant`
  `getInstant()`
  `String`
  `getSerializedSudoku()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StartGamePacket

    public StartGamePacket(String serializedSudoku, Instant instant, long gameDuration)

- ## Method Details

  - ### getSerializedSudoku

    public String getSerializedSudoku()

  - ### getInstant

    public Instant getInstant()

  - ### getGameDuration

    public long getGameDuration()

  - ### accept

    public void accept(PacketVisitor packetVisitor)
    Specified by:
      `accept` in class `Packet`